Next: towupper, Previous: wctype, Up: Ctype

### 3.29 `towlower`—translate wide characters to lowercase

Synopsis

         #include <wctype.h>
         wint_t towlower(wint_t c);

Description
`towlower` is a function which converts uppercase wide characters to lowercase, leaving all other characters unchanged.

Returns
`towlower` returns the lowercase equivalent of c when it is a uppercase wide character; otherwise, it returns the input character.

Portability
`towlower` is C99.

No supporting OS subroutines are required.